import 'dart:convert';

import 'package:flutter/services.dart' show rootBundle;

class Autogenerated {
  List<Colonists> colonists;

  Autogenerated({this.colonists});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    if (json['colonists'] != null) {
      // ignore: deprecated_member_use
      colonists = new List<Colonists>();
      json['colonists'].forEach((v) {
        colonists.add(new Colonists.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.colonists != null) {
      data['colonists'] = this.colonists.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Colonists {
  int id;
  String name;
  int level;
  String message;
  int athletics;
  int dexterity;
  int strength;
  int agility;
  int mana;
  int adaptability;
  int focus;
  int creativity;
  int knowledge;
  int intelligence;
  String image;
  String image_big;

  Colonists(
      {this.id,
      this.name,
      this.level,
      this.message,
      this.athletics,
      this.dexterity,
      this.strength,
      this.agility,
      this.mana,
      this.adaptability,
      this.focus,
      this.creativity,
      this.knowledge,
      this.intelligence,
      this.image,
      this.image_big});

  Colonists.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    name = json['name'];
    level = json['level'];
    message = json['message'];
    athletics = json['athletics'];
    dexterity = json['dexterity'];
    strength = json['strength'];
    agility = json['agility'];
    mana = json['mana'];
    adaptability = json['adaptability'];
    focus = json['focus'];
    creativity = json['creativity'];
    knowledge = json['knowledge'];
    intelligence = json['intelligence'];
    image = json['image'];
    image_big = json['image_big'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['name'] = this.name;
    data['level'] = this.level;
    data['message'] = this.message;
    data['athletics'] = this.athletics;
    data['dexterity'] = this.dexterity;
    data['strength'] = this.strength;
    data['agility'] = this.agility;
    data['mana'] = this.mana;
    data['adaptability'] = this.adaptability;
    data['focus'] = this.focus;
    data['creativity'] = this.creativity;
    data['knowledge'] = this.knowledge;
    data['intelligence'] = this.intelligence;
    data['image'] = this.image;
    data['image_big'] = this.image_big;
    return data;
  }
}

class ColonistList {
  getColonistLists() async {
    String jsonString = await rootBundle.loadString("assets/colonists.json");
    Map<String, dynamic> userMap = jsonDecode(jsonString);
    return Autogenerated.fromJson(userMap).toJson();
  }
}
